using System.ComponentModel.DataAnnotations;
using IdeaBlade.EntityModel;

namespace SimpleNorthwindModel {

    public partial class Employee
    {

        [Display(Name = "Full Name", AutoGenerateField = true)]
        public string FullName
        {
            get
            {
                return (EntityAspect.IsNullEntity) ? "[None]" : FirstName + " " + LastName;
            }
        }

        public override string ToString() { return FullName; } 

    }
}