﻿Imports IdeaBlade.EntityModel
Imports SimpleNorthwindModel

Namespace SimpleComboDemo

  Public Class MainPageDesignViewModel
	  Inherits MainPageViewModel
	''' <summary>
	''' MainPageViewModel to use in design tools as ViewModel for MainPage view.
	''' </summary>
	Public Sub New()

	  EntityManager = New NorthwindManager(False)
	  EntityManager.DefaultQueryStrategy = QueryStrategy.CacheOnly

	  Dim designEmp = New Employee With {.EmployeeID = 1, .FirstName = "Ima", .LastName = "Blast", .ReportsToEmployeeID = 2}
	  Dim designManagerEmp = New Employee With {.EmployeeID = 2, .FirstName = "Slim", .LastName = "Ornun", .ReportsToEmployeeID = Nothing}

	  EntityManager.AttachEntity(designEmp)
	  EntityManager.AttachEntity(designManagerEmp)

	  PotentialManagers = New List(Of Employee) From {designManagerEmp}
	  CurrentEmployee = designEmp
	  Messages.Add("We're in DesignTime now !!!")
	End Sub
  End Class
End Namespace
