﻿Imports System.ComponentModel

Namespace SimpleComboDemo
  ''' <summary>
  ''' Creates ViewModels (VMs) for named views.
  ''' </summary>
  ''' <remarks>
  ''' This application only has one view.
  ''' More sophisticated factory find and instantiate the
  ''' appropriate VM for the given name
  ''' and would use conventions to find that VM 
  ''' based on the view name.
  ''' </remarks>
  Public Class DummyViewModelFactory
	  Implements IViewModelFactory

	Public Function CreateViewModelForView(ByVal viewName As String) As Object Implements IViewModelFactory.CreateViewModelForView
	  Return If(DesignerProperties.IsInDesignTool, New MainPageDesignViewModel(), New MainPageViewModel(Nothing))
	End Function
  End Class
End Namespace